import pandas as pd
import matplotlib.pyplot as plt
import japanize_matplotlib
import numpy as np

data_df = pd.read_excel('table_2groups.xlsx')
ages = data_df['年齢'].values
accids = data_df.keys().values[1:]
x = data_df.values[:, 1:]
props = {}
for i, v in enumerate(ages):
    props[v] = x[i] / np.sum(x[i])
for i, v in enumerate(ages):
    plt.bar(np.arange(3) + 0.4*i, props[v], width=0.4, label=v)
plt.xticks(np.arange(3)+0.2, accids, fontsize=14)
plt.legend()
plt.show()

n_pops = np.array([10781259, 2479294])
props_d = np.divide(x[:,0], n_pops)

plt.bar(ages, props_d*1.0e5)
plt.title('交通事故死の確率', fontsize=16)
plt.xticks(fontsize=16)
plt.ylabel('Prob * 1.0e5', fontsize=14)
plt.show()

