import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib
import seaborn as sb
import pickle

data_frame = pd.read_excel('table_2groups.xlsx')
print(data_frame)

col_names = data_frame.keys()[1:]
row_names = data_frame['年齢'].values
print('row_names =\n', row_names)
print('col_names =\n', col_names)
x = data_frame.values[:,1:]
print(x)

with open('fit.pkl', 'rb') as f:
    fit_df = pickle.load(f)
print(fit_df)

ab0s = fit_df['ab0']
a = {}
for i in range(len(row_names)-1):
    a[i+1] = fit_df[f'a.{i+1}']
print(a.keys())

print(f'ab0-{row_names[0]} = {np.median(ab0s):.3f}')
for i in range(len(row_names)-1):
    sb.kdeplot(a[i+1], label=f'a{i+1}:{row_names[i+1]}')
    print(f'a[{i+1}]-{row_names[i+1]} = {np.median(a[i+1]):.3f}')
plt.xlabel('main effect a', fontsize=14)
plt.ylabel('Density', fontsize=14)
plt.legend()
plt.show()

b = {}
for j in range(len(col_names)-1):
    b[j+1] = fit_df[f'b.{j+1}']
for j in range(len(col_names)-1):
    sb.kdeplot(b[j+1], label=f'b{j+1}:{col_names[j+1]}')
plt.xlabel('main effect b', fontsize=14)
plt.ylabel('Density', fontsize=14)
plt.legend()
plt.show()

c = {}
for i in range(len(row_names)-1):
    c[i+1] = {}
    for j in range(len(col_names)-1):
        c[i+1][j+1] = fit_df[f'c.{i+1}.{j+1}']
        sb.kdeplot(c[i+1][j+1], label=f'c[{row_names[i+1]}][{col_names[j+1]}]')
plt.legend()
plt.xlabel('Interaction c', fontsize=14)
plt.ylabel('Density', fontsize=14)
plt.show()

sb.kdeplot(ab0s+b[1], label='70歳未満、重傷者')
sb.kdeplot(ab0s+a[1]+b[1]+c[1][1], label='70歳以上、重傷者')
plt.title('ab0+b[1] vs ab0+a[1]+b[1]+c[1][1]', fontsize=14)
plt.legend()
plt.show()


